AlphaMonomer
Date: 2019-10-22

org.jmol.modelsetbio

## Class AlphaMonomer

- java.lang.Object
- - org.jmol.modelset.Group
  - - org.jmol.modelsetbio.Monomer
    - - org.jmol.modelsetbio.AlphaMonomer

- All Implemented Interfaces:
    Structure
  Direct Known Subclasses:
    AminoMonomer

      public class AlphaMonomer
      extends Monomer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static byte[]` | `alphaOffsets`
    `protected javajs.util.P3` | `nitrogenHydrogenPoint`
    `ProteinStructure` | `proteinStructure`

    - ### Fields inherited from class org.jmol.modelsetbio.Monomer

      `backboneBlockVis, bioPolymer, monomerIndex, offsets`

    - ### Fields inherited from class org.jmol.modelset.Group

      `chain, dssrNT, firstAtomIndex, group1, group3Names, groupID, groupIndex, lastAtomIndex, leadAtomIndex, selectedIndex, seqcode, shapeVisibilityFlags, specialAtomNames, standardGroupList`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AlphaMonomer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Atom` | `getAtom(byte specialAtomID)`
    `javajs.util.P3` | `getAtomPoint(byte specialAtomID)`
    `java.lang.Object` | `getHelixData(int tokType, char qType, int mStep)`
    `STR` | `getProteinStructureSubType()`
    `STR` | `getProteinStructureType()`
    `javajs.util.Quat` | `getQuaternion(char qType)`
    `protected javajs.util.Quat` | `getQuaternionAlpha(char qType)`
    `(package private) javajs.util.P3` | `getQuaternionFrameCenter(char qType)`
    `protected javajs.util.P3` | `getQuaternionFrameCenterAlpha(char qType)`
    `int` | `getStrucNo()`
    `Structure` | `getStructure()`
    `(package private) boolean` | `isAlphaMonomer()`
    `(package private) boolean` | `isConnectedAfter(Monomer possiblyPreviousMonomer)`
    `boolean` | `isHelix()`
    `boolean` | `isProtein()` group ID-based definition
    `boolean` | `isSheet()`
    `boolean` | `isWithinStructure(STR type)`
    `int` | `setProteinStructureType(STR type, int monomerIndexCurrent)`
    `void` | `setStrucNo(int n)`
    `(package private) void` | `setStructure(ProteinStructure ps)`
    `(package private) static Monomer` | `validateAndAllocateA(Chain chain, java.lang.String group3, int seqcode, int firstIndex, int lastIndex, int[] specialAtomIndexes)`

    - ### Methods inherited from class org.jmol.modelsetbio.Monomer

      `checkOptional, findNearestAtomIndex, getAtomFromOffsetIndex, getAtomIndex, getBioPolymerIndexInModel, getBioPolymerLength, getCrossLinkGroup, getCrossLinkVector, getGroup1, getGroup1b, getGroupParameter, getHelixData2, getInitiatorAtom, getLeadAtom, getMonomerIndex, getMonomerSequenceAtoms, getMyInfo, getSelectedMonomerCount, getSelectedMonomerIndex, getSpecialAtom, getSpecialAtomPoint, getStructureId, getTerminatorAtom, getUniqueID, getWingAtom, have, isConnectedPrevious, isCrossLinked, isLeadAtom, scanForOffsets, set2, setBioPolymer, setGroupID, setGroupParameter, setLeadAtomIndex, updateOffsetsForAlternativeLocations`

    - ### Methods inherited from class org.jmol.modelset.Group

      `addAtoms, fixIndices, getBSSideChain, getCarbonylOxygenAtom, getGroup3, getGroupInfo, getInsCode, getInsertionCode, getInsertionCodeChar, getInsertionCodeFor, getLeadAtomOr, getMinZ, getModel, getNitrogenAtom, getProteinStructureTag, getQuaternionFrame, getResno, getSeqcodeFor, getSeqcodeString, getSeqcodeStringFor, getSeqNumberFor, haveSequenceNumber, isAdded, isCarbohydrate, isCursorOnTopOf, isDna, isDnaByID, isNucleic, isNucleicMonomer, isPurine, isPurineByID, isPyrimidine, isPyrimidineByID, isRna, isRnaByID, isSelected, scaleToScreen, setAtomBits, setAtomBitsAndClear, setGroup, setResno, setShapeVisibility, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### alphaOffsets

          static final byte[] alphaOffsets

    - #### proteinStructure

          public ProteinStructure proteinStructure

    - #### nitrogenHydrogenPoint

          protected javajs.util.P3 nitrogenHydrogenPoint

  - ### Constructor Detail

    - #### AlphaMonomer

          protected AlphaMonomer()

  - ### Method Detail

    - #### isProtein

          public boolean isProtein()

      Description copied from class: `Group`
      group ID-based definition
      Overrides:
        `isProtein` in class `Group`
      Returns:
        boolean

    - #### validateAndAllocateA

          static Monomer validateAndAllocateA(Chain chain,
                                              java.lang.String group3,
                                              int seqcode,
                                              int firstIndex,
                                              int lastIndex,
                                              int[] specialAtomIndexes)

    - #### isAlphaMonomer

          boolean isAlphaMonomer()

    - #### getStructure

          public Structure getStructure()

      Overrides:
        `getStructure` in class `Group`

    - #### setStructure

          void setStructure(ProteinStructure ps)

    - #### setStrucNo

          public void setStrucNo(int n)

      Overrides:
        `setStrucNo` in class `Monomer`

    - #### getProteinStructureType

          public STR getProteinStructureType()

      Overrides:
        `getProteinStructureType` in class `Monomer`

    - #### getProteinStructureSubType

          public STR getProteinStructureSubType()

      Overrides:
        `getProteinStructureSubType` in class `Group`

    - #### getStrucNo

          public int getStrucNo()

      Overrides:
        `getStrucNo` in class `Group`

    - #### isHelix

          public boolean isHelix()

      Overrides:
        `isHelix` in class `Monomer`

    - #### isSheet

          public boolean isSheet()

      Overrides:
        `isSheet` in class `Monomer`

    - #### setProteinStructureType

          public int setProteinStructureType(STR type,
                                             int monomerIndexCurrent)

      Overrides:
        `setProteinStructureType` in class `Group`
      Parameters:
        `type` -
        `monomerIndexCurrent` - a pointer to the current ProteinStructure
      Returns:
        a pointer to this ProteinStructure

    - #### getAtom

          public final Atom getAtom(byte specialAtomID)

    - #### getAtomPoint

          public final javajs.util.P3 getAtomPoint(byte specialAtomID)

    - #### isConnectedAfter

          boolean isConnectedAfter(Monomer possiblyPreviousMonomer)

      Specified by:
        `isConnectedAfter` in class `Monomer`

    - #### getQuaternionFrameCenter

          javajs.util.P3 getQuaternionFrameCenter(char qType)

      Overrides:
        `getQuaternionFrameCenter` in class `Monomer`
      Returns:
        center

    - #### isWithinStructure

          public boolean isWithinStructure(STR type)

      Overrides:
        `isWithinStructure` in class `Group`
      Returns:
        T/F

    - #### getQuaternionFrameCenterAlpha

          protected javajs.util.P3 getQuaternionFrameCenterAlpha(char qType)

    - #### getHelixData

          public java.lang.Object getHelixData(int tokType,
                                               char qType,
                                               int mStep)

      Overrides:
        `getHelixData` in class `Group`
      Returns:
        helix data of some sort

    - #### getQuaternion

          public javajs.util.Quat getQuaternion(char qType)

      Overrides:
        `getQuaternion` in class `Group`
      Returns:
        quaternion

    - #### getQuaternionAlpha

          protected javajs.util.Quat getQuaternionAlpha(char qType)